diff --git a/Makefile b/Makefile
index 2827729..db0c637 100644
--- a/Makefile
+++ b/Makefile
@@ -18,13 +18,8 @@ include $(NSSHARED)/makefiles/Makefile.tools
 # Reevaluate when used, as BUILDDIR won't be defined yet
 TESTRUNNER = test/runtest.sh $(BUILDDIR) $(EXEEXT)
 
-# Toolchain flags
-WARNFLAGS := -Wall -W -Wundef -Wpointer-arith -Wcast-align \
-	-Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes \
-	-Wmissing-declarations -Wnested-externs
-
 CFLAGS := -D_GNU_SOURCE -D_DEFAULT_SOURCE \
-	-I$(CURDIR)/include/ -I$(CURDIR)/src $(WARNFLAGS) $(CFLAGS)
+	-I$(CURDIR)/include/ -I$(CURDIR)/src $(CFLAGS)
 ifneq ($(GCCVER),2)
   CFLAGS := $(CFLAGS) -std=c99
 else
@@ -42,7 +37,6 @@ ifeq ($(HOST),x86_64-linux-gnu)
   REQUIRED_LIBS := $(REQUIRED_LIBS) rt
 endif
 
-TESTCFLAGS := -g -O2
 TESTLDFLAGS := -lm -l$(COMPONENT) $(TESTLDFLAGS)
 
 include $(NSBUILD)/Makefile.top
